import axios from "axios";

export class VolumeMonitoringConfig 
{
    constructor (
        public id: string,
        public configName: string,
        public type: string,
        public volumeConfig: VolumeConfig
    ) {}

    static get(onSuccess: (monitorings: VolumeMonitoringConfig[]) => void)
    {
        axios.get<VolumeMonitoringConfig[]>(ApiConfig.getHttpBase() + '/monitorings')
            .then(response => {
                onSuccess(response.data)
            });
    }
}

class VolumeConfig
{
    constructor (
        public mountPath: string
    ) {}
}